SyncSemaphore::lock
SyncEvent
SyncSemaphore
PHP Manual

# SyncSemaphore::unlock

(PECL sync >= 1.0.0)

SyncSemaphore::unlock — Increases the count of the semaphore

### Description

public bool SyncSemaphore::unlock ([ integer `&$prevcount` ] )

Increases the count of a SyncSemaphore object.

### Parameters

`prevcount`

  Returns the previous count of the semaphore.

### Return Values

A boolean of TRUE if the unlock operation was successful, FALSE otherwise.

### Examples

Example #1 SyncSemaphore::unlock() example

`<?php
$semaphore = new SyncSemaphore("LimitedResource_2clients", 2);
if (!$semaphore->lock(3000))
{
echo "Unable to lock semaphore.";
exit();
}
/* ... */
$semaphore->unlock();
?>`

The above example will output something similar to:

    ...

### See Also

- SyncSemaphore::lock() - Decreases the count of the semaphore or waits

SyncSemaphore::lock
SyncEvent
SyncSemaphore
PHP Manual